module DarkHall
	module Game
		def self.show_name_input_dialog(message, default = "")
			name = %x|ruby -Ku name_input_exe.rb #{message} #{default}|
			if $? == 0 then
				return name
			else
				raise "can't open name input dialog"
			end
		end
	end
end
